QGIS Application - Bug report #13048
WKT Parser seems to be unable to parse polygons with Z values
2015-06-29 11:31 PM - Casper Bgrgesen

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21121
Description

Recently | haven’t been able to insert WKT polygons with Z-values.

| have tried the following in the Python console:
> g = QgsGeometry.fromWhkt('Polygon((000,010,110,000)))
> f = QgsFeature()

> f.setGeometry(g)
> iface.activelLayer().dataProvider().addFeatures([f])

My active layer is a scratch layer configured as Polygon. | get no exceptions and QGIS reports the layer containing 1 feature but nothing is
shown. | have altered the above four python lines to only have the X and Y values and this results in a visual result.

Repeating the above using a Point WKT instead works fine with both 2D and 3D data.

History

#1 - 2015-06-30 11:47 AM - Giovanni Manghi
- Status changed from Open to Feedback

is this a regression?

#2 - 2015-07-01 02:23 AM - Casper Borgesen
- Status changed from Feedback to Closed

I have closed this issue due to me supplying a wrong affected version. Since | cannot update the affected version, | have created a duplicate issue to
ensure that the issue might still be resolved.
